#!/bin/bash

RootPath=/home/mpib/LNDG/StateSwitch/WIP/G_GLM
DATADIR=${RootPath}/B_data/E_batchVarTBX

#subjList="1117 1118 1120 1124 1125 1126 1131 1132 1135 1136 1151 1160 1164 1167 1169 1172 1173 1178 1182 1214 1216 1219 1223 1227 1228 1233 1234 1237 1239 1240 1243 1245 1247 1250 1252 1257 1261 1265 1266 1268 1270 1276 1281 2104 2107 2108 2112 2118 2120 2121 2123 2125 2129 2130 2132 2133 2134 2135 2139 2140 2145 2147 2149 2157 2160 2201 2202 2203 2205 2206 2209 2210 2211 2213 2214 2215 2216 2217 2219 2222 2224 2226 2227 2236 2238 2241 2244 2246 2248 2250 2251 2252 2258 2261"
subjList="1118 1120 1124 1125 1126 1131 1132 1135 1136 1151 1160 1164 1167 1169 1172 1173 1178 1182 1214 1216 1219 1223 1227 1228 1233 1234 1237 1239 1240 1243 1245 1247 1250 1252 1257 1261 1265 1266 1268 1270 1276 1281 2104 2107 2108 2112 2118 2120 2121 2123 2125 2129 2130 2132 2133 2134 2135 2139 2140 2145 2147 2149 2157 2160 2201 2202 2203 2205 2206 2209 2210 2211 2213 2214 2215 2216 2217 2219 2222 2224 2226 2227 2236 2238 2241 2244 2246 2248 2250 2251 2252 2258 2261"

for subj in $subjList; do
	echo "#PBS -N STSWD_VarTbx_Multi_${subj}" 	> job
	echo "#PBS -l nodes=1:ppn=1"				>> job
	echo "#PBS -l mem=5gb" 						>> job
	echo "#PBS -l walltime=70:00:00" 			>> job
	echo "#PBS -j oe" 							>> job
	echo "#PBS -o ${RootPath}/Y_logs/"			>> job
	echo "#PBS -m n"							>> job
	echo "#PBS -d ." 								>> job
	echo "/home/mpib/LNDG/StateSwitch/WIP/G_GLM/T_tools/standalone/run_spm12.sh /opt/matlab/R2016b run ${DATADIR}/${subj}_runVarTBX_job.mat" 	>> job
	qsub job
	rm job
done
